osl::eval::ml::King25Effect2 Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
osl::eval::ml::King25Effect2 Class Reference

`#include <kingTable.h>`

Collaboration diagram for osl::eval::ml::King25Effect2:
[legend]

## Public Types
enum | { ONE_DIM = 17 * 13 * 64, DIM = ONE_DIM * EvalStages }

## Static Public Member Functions
static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &, int black_attack_effect, int black_attack_piece, int white_attack_effect, int white_attack_piece, int black_stand_count, int white_stand_count)

## Static Private Member Functions
static int | index (int effect, int piece_count, int stand_count)

## Static Private Attributes
static CArray< MultiInt, ONE_DIM > | table

## Detailed Description

Definition at line 320 of file kingTable.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 323 of file kingTable.h.

## Member Function Documentation

static MultiInt osl::eval::ml::King25Effect2::eval | ( | const NumEffectState & | ,
|  | int | black_attack_effect,
|  | int | black_attack_piece,
|  | int | white_attack_effect,
|  | int | white_attack_piece,
|  | int | black_stand_count,
|  | int | white_stand_count
| ) |  |
| inlinestatic

Definition at line 333 of file kingTable.h.

References osl::eval::ml::KingPieceRelative::index().

static int osl::eval::ml::King25Effect2::index | ( | int | effect,
|  | int | piece_count,
|  | int | stand_count
| ) |  |
| inlinestaticprivate

Definition at line 325 of file kingTable.h.

void osl::eval::ml::King25Effect2::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 452 of file kingTable.cc.

References osl::NStages, and osl::eval::ml::Weights::value().

## Member Data Documentation

osl::misc::CArray< MultiInt, osl::eval::ml::King25Effect2::ONE_DIM > osl::eval::ml::King25Effect2::table
| staticprivate

Definition at line 330 of file kingTable.h.

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc